/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package demo.service;

import demo.model.Person;
import java.util.Collection;
import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 *
 * @author rosmord
 */
@Stateless
public class PersonBean implements PersonLocal {
    @PersistenceContext
    private EntityManager em;

    @Override
    public void save(Collection<Person> personList) {
        for (Person p: personList) {
            save(p);
        }
    }
    
   
    
    @Override    
    public void save(Person p) {
        if (p.getName() == null || p.getSurname()== null
                || "".equals(p.getName())
                || "".equals(p.getSurname())) {
            throw new RuntimeException("bad name or surname");
        }        
        em.persist(p);
    }
    
    @Override
    public void update(Person p) {
        em.merge(p);
    }
    
    @Override
    public List<Person> findAll() {
        return em.createQuery("select p from Person p").getResultList();
    }
}
